package com.playlet.system.service;

import java.util.List;
import com.playlet.system.domain.PlayletUser;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 短剧用户Service接口
 *
 * @author ruoyi
 * @date 2024-03-10
 */
public interface IPlayletUserService extends IService<PlayletUser>
{
    /**
     * 查询短剧用户
     *
     * @param ID 短剧用户主键
     * @return 短剧用户
     */
    public PlayletUser selectPlayletUserByID(Long ID);

    /**
     * 查询短剧用户列表
     *
     * @param playletUser 短剧用户
     * @return 短剧用户集合
     */
    public List<PlayletUser> selectPlayletUserList(PlayletUser playletUser);

    /**
     * 新增短剧用户
     *
     * @param playletUser 短剧用户
     * @return 结果
     */
    public int insertPlayletUser(PlayletUser playletUser);

    /**
     * 修改短剧用户
     *
     * @param playletUser 短剧用户
     * @return 结果
     */
    public int updatePlayletUser(PlayletUser playletUser);

    /**
     * 批量删除短剧用户
     *
     * @param IDs 需要删除的短剧用户主键集合
     * @return 结果
     */
    public int deletePlayletUserByIDs(String IDs);

    /**
     * 删除短剧用户信息
     *
     * @param ID 短剧用户主键
     * @return 结果
     */
    public int deletePlayletUserByID(Long ID);
}
